﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Drawing;
using System.IO;

namespace DisplayASimpleMap
{
	public partial class _Default : System.Web.UI.Page, ICallbackEventHandler
    {
		private string returnString = string.Empty;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
				Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
				Map1.CurrentExtent = new RectangleShape(-10608900, 4716556, -10604285, 4714110);
				Map1.MapUnit = GeographyUnit.Meter;

				BingMapsOverlay bingMapsOverlay = new BingMapsOverlay("WorldMapOverlay");
				bingMapsOverlay.MapType = BingMapsStyle.Road;

				Map1.CustomOverlays.Add(bingMapsOverlay);
            }
        }

		public string GetCallbackResult()
		{
			return returnString;
		}

		public void RaiseCallbackEvent(string eventArgument)
		{
			if(Map1.CurrentExtent.UpperLeftPoint.X == -10608900)
				Map1.CurrentExtent = new RectangleShape(-9069157.37938585, 3156490.87191247, -8790538.3741497, 2796200.74014146);
			else
				Map1.CurrentExtent = new RectangleShape(-10608900, 4716556, -10604285, 4714110);
			returnString = Map1.CurrentExtent.ToString();
		}

    }
}
